[riot-notifications] [RIOT-OS/RIOT] boards/common/stm32l0: use dual bank with openocd if available (#11174)

Francisco notifications at github.com
Thu Mar 14 12:30:39 CET 2019


fjmolinas commented on this pull request.



> @@ -1,3 +1,8 @@
-source [find target/stm32l0.cfg]
+# Try to use dual bank if available and supported
+try {
+    source [find target/stm32l0_dual_bank.cfg]
+} on error {} {
+    source [find target/stm32l0.cfg]

Would it be better to use puts instead of error, that way someone with old opeocd (someone that doesn't build it form source for example) can still flash the board.

`puts "Openocd version does not support 'stm32l0_dual_bank' please upgrade to a version supporting it, falling back to single bank stm32l0.cfg"`


-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/11174#discussion_r265525698
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20190314/6fe45f2c/attachment.html>


More information about the notifications mailing list